package com.pcloud.book.advertising.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * Description 投放作品/应用DTO
 * @author PENG
 * @date 2019/3/6
 */
public class DistributionAppDTO extends BaseDto {

    private static final long serialVersionUID = 5416187350592226379L;

    /**
     * 来源
     */
    private String fromType;

    /**
     * 来源ID
     */
    private Long fromId;

    /**
     * 名称
     */
    private String title;

    /**
     * 场景编码
     */
    private String sceneCode;

    /**
     * 场景名称
     */
    private String sceneName;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 创建角色
     */
    private String createRole;

    /**
     * 曝光量
     */
    private Long exposureNum;

    /**
     * 点击量
     */
    private Long clickNum;

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public Long getFromId() {
        return fromId;
    }

    public void setFromId(Long fromId) {
        this.fromId = fromId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSceneCode() {
        return sceneCode;
    }

    public void setSceneCode(String sceneCode) {
        this.sceneCode = sceneCode;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public Long getExposureNum() {
        return exposureNum;
    }

    public void setExposureNum(Long exposureNum) {
        this.exposureNum = exposureNum;
    }

    public Long getClickNum() {
        return clickNum;
    }

    public void setClickNum(Long clickNum) {
        this.clickNum = clickNum;
    }

    @Override
    public String toString() {
        return "DistributionAppDTO{" +
                "fromType='" + fromType + '\'' +
                ", fromId=" + fromId +
                ", title='" + title + '\'' +
                ", sceneCode='" + sceneCode + '\'' +
                ", sceneName='" + sceneName + '\'' +
                ", createUser=" + createUser +
                ", createUserName='" + createUserName + '\'' +
                ", createRole='" + createRole + '\'' +
                ", exposureNum=" + exposureNum +
                ", clickNum=" + clickNum +
                "} " + super.toString();
    }
}
